org.apache.xmpbox.type

## Class FontType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.type.FontType

    public class FontType
    extends AbstractStructuredType

### Field Summary

Fields
`static String` `CHILD_FONT_FILES`
`static String` `COMPOSITE`
`static String` `FONT_FACE`
`static String` `FONT_FAMILY`
`static String` `FONT_FILE_NAME`
`static String` `FONT_NAME`
`static String` `FONT_TYPE`
`static String` `VERSION_STRING`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`FontType(XMPMetadata metadata)`

### Method Summary

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CHILD_FONT_FILES

    public static final String CHILD_FONT_FILES

See Also:
  Constant Field Values

#### COMPOSITE

    public static final String COMPOSITE

See Also:
  Constant Field Values

#### FONT_FACE

    public static final String FONT_FACE

See Also:
  Constant Field Values

#### FONT_FAMILY

    public static final String FONT_FAMILY

See Also:
  Constant Field Values

#### FONT_FILE_NAME

    public static final String FONT_FILE_NAME

See Also:
  Constant Field Values

#### FONT_NAME

    public static final String FONT_NAME

See Also:
  Constant Field Values

#### FONT_TYPE

    public static final String FONT_TYPE

See Also:
  Constant Field Values

#### VERSION_STRING

    public static final String VERSION_STRING

See Also:
  Constant Field Values

### Constructor Detail

#### FontType

    public FontType(XMPMetadata metadata)